Printago API
PATCH /v1/api-keys/{id}

Update an API key

Update an API key's configuration including name, status, permissions, roles, and IP restrictions

Requires: apiKey.edit

Path Parameters

id required
string
The API key's unique identifier

Request Body

Fields to update

UpdateApiKeyRequest
activeoptional
boolean
fullAccessoptional
boolean
ipAllowlistoptional
string[]
nameoptional
string
permissionsoptional
any[]
roleIdsoptional
string[]

Example Request

application/json
{
  "active": true,
  "name": "string",
  "fullAccess": true,
  "permissions": [],
  "roleIds": [
    "string"
  ]
}

Response Schema

ApiKey
activerequired
boolean
createdAtrequired
string
format: date-time
createdByoptional
string
expiresAtoptional
string
externalRefoptional
string
fullAccessrequired
boolean
hashrequired
string
idrequired
string
pattern: ^[a-z0-9]{24}$
integrationIdoptional
string
Optional link to integration - when integration is deleted, this API key is also deleted
ipAllowlistoptional
string[]
lastUsedAtoptional
string
managedrequired
boolean
managedByoptional
string
namerequired
string
saltrequired
string
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
{
  "hash": "string",
  "salt": "string",
  "name": "string",
  "active": true,
  "managed": true,
  "fullAccess": true,
  "id": "string",
  "storeId": "string",
  "createdAt": "2026-08-24T03:58:55.244Z",
  "updatedAt": "2026-08-24T03:58:55.244Z"
}